<!DOCTYPE html>
<html>
<head>
	<title>calc</title>
</head>

<style type="text/css">
	button[value="+"]{
		background-color: red;
		height: ;
	}
</style>

<body>
	<form name="form">
		<input id="exp" name="exp" type="text"><br>
		<input id="ans" name="ans" type="text">
	</form>	
			<table>
				<tr>
					<td><button id="num" value="<" onclick="back()"><</button></td>
					<td><button id="num" value="C" onclick="clean()">C</button></td>
					<td><button id="num" value="/" onclick="insert('/'), calculate('/')">/</button></td>
					<td><button id="num" value="*" onclick="insert('*'), calculate('*')">X</button></td>
				</tr>

				<tr>
					<td><button id="num" value="7" onclick="insert(7), overwrite(7)">7</button></td>
					<td><button id="num" value="8" onclick="insert(8), overwrite(8)">8</button></td>
					<td><button id="num" value="9" class="button" onclick="insert(9), overwrite(9)">9</button></td>
					<td><button id="num" value="-" onclick="insert('-'), calculate('-')">-</button></td>
				</tr>
				<tr>
					<td><button id="num" value="4" onclick="insert(4), overwrite(4)">4</button></td>
					<td><button id="num" value="5" onclick="insert(5), overwrite(5)">5</button></td>
					<td><button id="num" value="6" onclick="insert(6), overwrite(6)">6</button></td>
					<td rowspan="2"><button id="num" value="+" onclick="insert('+'), calculate('+')">+</button></td>
				</tr>
				<tr>
					<td><button id="num" value="1" onclick="insert(1), overwrite(1)">1</button></td>
					<td><button id="num" value="2" onclick="insert(2), overwrite(2)">2</button></td>
					<td><button id="num" value="3" onclick="insert(3), overwrite(3)">3</button></td>
				</tr>
				<tr>

					<td colspan="2"><button id="num" value="0" onclick="insert(0), overwrite(0)">0</button></td>
					<td><button id="num" value="." onclick="insert('.'), overwrite('.')">.</button></td>
					<td><button id="num" value="=" onclick="equal()">=</button></td>
				</tr>
			</table>

	<script type="text/javascript">	


		function insert(num) {
			document.form.exp.value=document.form.exp.value+num;
		}

		function equal(){
			var exp = document.form.exp.value;
			if(exp){
				document.form.ans.value = eval(exp);
			}
		}

		function back(){
			var exp = document.form.exp.value;
			var ans = document.form.ans.value;

			document.form.exp.value = exp.substring(0,exp.length-1);
			document.form.ans.value='';
		}

		function clean(){
			document.form.exp.value= '';
			document.form.ans.value= '';
		}

		function overwrite(num) {
			var ans= document.form.ans.value;
			if (ans) {
				document.form.ans.value= '';
				document.form.exp.value= ''+num;
			};
		}

		function calculate(num) {
			var ans= document.form.ans.value;

			if(ans){
				document.form.exp.value= ans + num;
				document.form.ans.value='';
			}
		}
	</script>
</body>
</html>